Unlinks the specified banners from the given placement by removing their banner-to-placement associations. All provided banner IDs must currently be linked to the placement; attempting to remove an unlinked banner returns an 'attempt_to_remove_unlinked_banner(s)' error. The caller must have the LINK_PLACEMENTS_TO_BANNERS permission. Returns a JSON object with 'success' status.
Path Params
placementIdintegerrequired
Unique identifier of the placement to remove banner links from
3001
Form Params
removeIdsarray<integer>
Array of banner IDs to unlink from the placement. All IDs must currently be linked to the placement
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("DELETE"), "https://YOUR-NETWORK-DOMAIN/rest-api/placements/3001/banners.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
request.Content = new FormUrlEncodedContent(new Dictionary<string, string> { ["removeIds"] = "42" });
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());